---
updatedAt: 2025-09-18T22:37:04.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# EXPERIMENTAL_changes-{account_changes}

Returns account changes from transactions in a specified account.

> 📘 Supported on NEAR (mainnet) only.

## Parameters

* `changes_type`- string - The type of changes i.e account\_changes
* `account_ids`- array - An array of account ids
* `finality`- string - The assurance that the transaction cannot be altered, reversed, or canceled after they are completed. For finality=final, it means that it has been validated on at least 66% of the nodes in the network and for finality=optimistic, it uses the latest block recorded on the node that responded to the query passed
* `block_id`- int/string - The block id, it could be either block number or block hash

Note: You can only use one parameter, either finality or block\_id. The block\_id param can take either the block number or the block hash as an argument.

## Returns

* `block_hash` - The hash of the block this transaction was associated with
* `changes` - An array of changes that occurred in the account during the transaction
  * `cause` - The reason behind the account changes
    * `type` - The change causing factor in an account. It could be transaction\_processing or receipt\_processing
    * `tx_hash/receipt_hash`  - There can be two values returned dependent on the change-causing factor. For transaction\_processing, the returned value is tx\_hash, which represents the hash of the transaction. For receipt\_processing, the returned value is receipt\_hash, which represents the hash of the receipt.
  * `type` - The type of changes occurred in the account
  * `change` - The changes occurred in the account during the transaction
    * `account_id` - The identifier for the account
    * `amount` - The amount of asset being transferred
    * `locked` - The amount of bytes that succeeded locking
    * `code_hash` - It states whether the account has a contract deployed to it or not. If the code\_hash value is “1111111…“, it means that no contract is deployed to that specific account
    * `storage_usage` - The amount of storage used by the contract
    * `storage_paid_at` - The amount of storage paid

## API Endpoint

The format of a Near API endpoint is\
`https://open-platform.nodereal.io/{{apiKey}}/near/`

Here is an example:\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/near/`

## Example

**Request**

```
curl https://open-platform.nodereal.io/{{apiKey}}/near/ \
--request POST \
--header "Content-Type: application/json" \
--data '{"method": "EXPERIMENTAL_changes","params": {"changes_type": "account_changes", "finality": "final", "account_ids": ["prophet.poolv1.near", "kiln.poolv1.near"]},"id":1,"jsonrpc":"2.0"}'
```

**Result**

```
```